Skip to main content
GET
/
v1
/
wallets
/
{walletId}
/
addresses
/
{addressId}
Get Address
curl --request GET \
  --url https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId} \
  --header 'x-api-key: <api-key>'
{ "data": { "address": "0x7204855eA98E951a218A9CC69786D7Dc749d170A", "blockchain": { "createdAt": "2024-05-14T11:53:33.095Z", "derivationPath": "m/44'/60'/0'/0", "id": "85ffc132-3972-4c9e-99a5-5cf0ccb688bf", "isActive": true, "isEvmCompatible": true, "logoUrl": "https://res.cloudinary.com/blockradar/image/upload/v1716800081/crypto-assets/ethereum-eth-logo_idraq2.png", "name": "ethereum", "slug": "ethereum", "symbol": "eth", "tokenStandard": "ERC20", "updatedAt": "2024-06-14T22:32:11.983Z" }, "configurations": { "aml": { "message": "Address is not sanctioned", "provider": "ofac", "status": "success" }, "disableAutoSweep": false, "enableGaslessWithdraw": false, "showPrivateKey": false }, "createdAt": "2024-10-23T10:53:38.622Z", "derivationPath": "m/44'/60'/0'/0/86", "id": "259422b2-6c8f-40e0-822f-7d2d23c78323", "isActive": true, "metadata": null, "name": null, "network": "testnet", "type": "INTERNAL", "updatedAt": "2024-10-23T10:53:38.622Z" }, "message": "Address fetched successfully", "statusCode": 200 }

Authorizations

x-api-key
string
header
required

Path Parameters

walletId
string
required
Example:

"YOUR_WALLET_ID"

addressId
string
required
Example:

"ADDRESS_ID"

Query Parameters

showPrivateKey
string
Example:

"OPTIONAL_BOOLEAN"

Response

200 - application/json

200 / Show Private Key

data
object
message
string
Example:

"Address fetched successfully"

statusCode
number
Example:

200